package com.gxzc.zen.orm.annotation

import org.springframework.core.annotation.AliasFor

/**
 *
 * @author NorthLan at 2018/1/29
 */
@Retention(AnnotationRetention.RUNTIME)
@Target(AnnotationTarget.FUNCTION, AnnotationTarget.TYPE)
annotation class DynamicDataSource(@get:AliasFor("dataSource") val value: String = "",
                                   @get:AliasFor("value") val dataSource: String = "")