package com.gxzc.zen.api.sys.model

import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 用户管理
 * </p>
 *
 * @author NorthLan123
 * @since 2018-01-30
 */
data class SysUser(
        /**
         * 登陆帐户
         */
        var account: String? = null,
        /**
         * 密码
         */
        var password: String? = null,
        /**
         * 用户类型(1普通用户2管理员3系统用户)
         */
        var userType: String? = null,
        /**
         * 姓名
         */
        var userName: String? = null,
        /**
         * 电话
         */
        var phone: String? = null,
        /**
         * 邮箱
         */
        var email: String? = null,
        /**
         * 部门编号
         */
        var deptId: Long? = null,
        /**
         * 职位
         */
        var position: String? = null,
        /**
         * 详细地址
         */
        var address: String? = null,
        /**
         * 工号
         */
        var staffNo: String? = null,
        /**
         * 备用字段
         */
        var ext01: String? = null,
        /**
         * 备用字段
         */
        var ext02: String? = null,
        /**
         * 备用字段
         */
        var ext03: String? = null,
        /**
         * 备用字段
         */
        var ext04: String? = null
) : BaseModel() {
}
